メインコンテンツへスキップ
POST
/
api
/
publicapi
/
v1
/
transactions
/
{transactionId}
/
documents
複数のファイルを1つの処理単位としてまとめるためのトランザクション Document を作成します
curl --request POST \
  --url https://vantage-us.abbyy.com/api/publicapi/v1/transactions/{transactionId}/documents \
  --header 'Authorization: Bearer <token>' \
  --header 'Content-Type: application/*+json' \
  --data '
{
  "imageProcessingOptions": {},
  "index": "<string>"
}
'
import requests

url = "https://vantage-us.abbyy.com/api/publicapi/v1/transactions/{transactionId}/documents"

payload = {
"imageProcessingOptions": {},
"index": "<string>"
}
headers = {
"Authorization": "Bearer <token>",
"Content-Type": "application/*+json"
}

response = requests.post(url, json=payload, headers=headers)

print(response.text)
const options = {
method: 'POST',
headers: {Authorization: 'Bearer <token>', 'Content-Type': 'application/*+json'},
body: JSON.stringify({imageProcessingOptions: {}, index: '<string>'})
};

fetch('https://vantage-us.abbyy.com/api/publicapi/v1/transactions/{transactionId}/documents', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));


{
  "documentId": "3c90c3cc-0d44-4b50-8888-8dd25736052a"
}
{
"detail": "<string>",
"instance": "<string>",
"status": "<string>",
"title": "<string>",
"type": "<string>"
}
{
"detail": "<string>",
"instance": "<string>",
"status": "<string>",
"title": "<string>",
"type": "<string>"
}
{
"detail": "<string>",
"instance": "<string>",
"status": "<string>",
"title": "<string>",
"type": "<string>"
}

承認

Authorization
string
header
必須

The access token received from the authorization server in the OAuth 2.0 flow.

パスパラメータ

transactionId
string<uuid>
必須

トランザクション識別子。トランザクションが正常に作成されると、レスポンスで返されます。

ボディ

imageProcessingOptions
object

インポート時の画像前処理設定

index
string | null

トランザクション内のドキュメントは、このParameterによって並び替えられます

レスポンス

トランザクション ドキュメントが正常に追加されました。

documentId
string<uuid>
必須

ドキュメントID